GET api/Course/BindCode/Info?userOpenId={userOpenId}&scene={scene}

查询课程绑定码信息(说明:小程序端接口)

Request Information

URI Parameters

NameDescriptionTypeAdditional information
userOpenId

用户OpenId

string

Required

scene

小程序码参数

string

Required

Body Parameters

None.

Response Information

Resource Description

返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确 2、当前绑定码与课程不匹配)... 。404:信息不存在(1、课程信息不存在 2、绑定码信息不存在)... 。200:成功... 。

BindCodeInfoResult
NameDescriptionTypeAdditional information
courseInfo

课程信息

Course

None.

memberStatus

会员注册状态(0、未注册 1、已注册)

integer

None.

memberMobile

会员绑定的手机号码

string

None.

bindStatus

小程序码绑定状态(0、未绑定 1、已绑定)

integer

None.

courseExist

当前用户是否已存在此课程(0、不存在 1、已存在)

integer

None.

bindCodeId

课程绑定小程序码Id

integer

None.

status

公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。

integer

None.

msg

消息

string

None.

Response Formats

application/json, text/json

Sample:
{
  "courseInfo": {
    "Course_ID": 1,
    "Course_CategoryID": 1,
    "Course_Name": "sample string 2",
    "Course_Info": "sample string 3",
    "Course_Type": 1,
    "Course_CoverUrl": "sample string 4",
    "Course_BannerUrl": "sample string 5",
    "Course_IsCharge": 1,
    "Course_TotalClass": "sample string 6",
    "Course_ShowIndex": 1,
    "Course_Remark": "sample string 7",
    "Course_Sort": 1,
    "Course_States": 1,
    "Course_UpdateDate": "2026-07-02T09:06:27.5853586+08:00",
    "Course_CreateDate": "2026-07-02T09:06:27.5853586+08:00",
    "Course_Number": "sample string 8",
    "Course_BuyScore": 1,
    "Course_LearnScore": 1,
    "Course_ShareUrl": "sample string 9",
    "Course_Hot": 10,
    "Course_BestSell": 1,
    "Course_New": 1,
    "Course_LimitFree": 1,
    "Course_LimitFreeDate": "sample string 11",
    "Course_LimitFreeStamp": 1,
    "Course_HomeworkReview": 12,
    "Course_SubjectType": 13,
    "Course_App_States": 14
  },
  "memberStatus": 1,
  "memberMobile": "sample string 2",
  "bindStatus": 3,
  "courseExist": 4,
  "bindCodeId": 5,
  "status": 6,
  "msg": "sample string 7"
}